# Copyright(c) 2020-2021 by craftyguy "Clayton Craft" <clayton@craftyguy.net>
# Distributed under GPLv3+ (see COPYING) WITHOUT ANY WARRANTY.
import logging

APP_NAME = 'caerbannog'


class Logger:
    instance = None

    def __init__(self):
        pass

    @staticmethod
    def get_logger():
        if Logger.instance is None:
            new_instance = logging.getLogger(APP_NAME)
            handler = logging.StreamHandler()
            log_format = logging.Formatter("%(name)s:%(funcName)s():"
                                           "%(lineno)i: "
                                           "%(levelname)s %(message)s")
            handler.setFormatter(log_format)
            new_instance.setLevel(logging.INFO)
            new_instance.addHandler(handler)
            Logger.instance = new_instance

        return Logger.instance

    @staticmethod
    def info(msg):
        Logger.get_logger().info(msg)

    @staticmethod
    def error(msg):
        Logger.get_logger().error(msg)
